Subject: bug#76396: closed (Re: bug#76396: automake - config.sub bug)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Feb 2025 18:40:03 +0000

Your bug report

#76396: automake - config.sub bug

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76396: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76396
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76396: automake - config.sub bug
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Feb 2025 11:38:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    I need to install automake-1.9 on macOS Sequoia 15.3.1

Automake 1.9 was released in 2004. I'll be surprised if it works on the
latest mac.

In any case, you'll need to replace config.sub, and perhaps other such
common files, with the latest versions, after unpacking. You can
download the latest from
https://git.savannah.gnu.org/cgit/config.git/plain/config.sub

For the latest version of other files, if need be, see
https://git.savannah.gnu.org/cgit/gnulib.git/tree/build-aux

Closing this report, we can't change automake-1.9 ... --thanks, karl.

Subject: automake - config.sub bug
From: Thomas Löffler <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 18 Feb 2025 15:12:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear developers,

I need to install automake-1.9 on macOS Sequoia 15.3.1. After downloading, unpacking  automake-1.9.tar.gz, and cd into automake-1.9,

./configure

gives

checking build system type... configure: error: /bin/sh /Users/tjl/Downloads/treemig_installation/automake-1.9/lib/config.sub -apple-darwin24.3.0 failed

Thanks in advance.